diff --git python-pgu/python-pgu.spec python-pgu/python-pgu.spec.tmp
index dd2191a210..15b5dddeb7 100644
--- python-pgu/python-pgu.spec
+++ python-pgu/python-pgu.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-pgu
 Version:	0.12.3
-Release:	17%{?dist}
+Release:	18%{?dist}
 Summary:	A collection of useful modules for writing games with PyGame
 
 Group:		Development/Languages
@@ -14,15 +14,22 @@ BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:	noarch
 BuildRequires:	python-devel
 
-Requires:	pygame
+%global _description\
+PGU is a collection of useful modules for writing games with PyGame.\
+At the moment the project consists of:\
+- Tools for editing tile-based levels\
+- A module for creating GUIs\
+- A set of general-purpose game libraries
+
+%description %_description
+
+%package -n python2-pgu
+Summary: %summary
 Requires:	bitstream-vera-sans-fonts
+Requires:	pygame
+%{?python_provide:%python_provide python2-pgu}
 
-%description
-PGU is a collection of useful modules for writing games with PyGame.
-At the moment the project consists of:
-- Tools for editing tile-based levels
-- A module for creating GUIs
-- A set of general-purpose game libraries
+%description -n python2-pgu %_description
 
 %prep
 %setup -q -n pgu-%{version}
@@ -50,7 +57,7 @@ find %{buildroot}%{_datadir}/pgu -name Vera.ttf -exec ln -sf %{_datadir}/fonts/b
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-pgu
 %defattr(-,root,root,-)
 %doc GUIDE.txt LICENSE.txt README.txt TODO.txt CHANGES.txt BUGS.txt
 %doc docs/*.html
@@ -63,6 +70,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.12.3-18
+- Python 2 subpackage renamed to python2-pgu
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.3-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-phacter/python-phacter.spec python-phacter/python-phacter.spec.tmp
index 4b5f187e05..60b14a3307 100644
--- python-phacter/python-phacter.spec
+++ python-phacter/python-phacter.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-phacter
 Version:        0.2.0
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        System fact look up tool
 
 Group:          Applications/System
@@ -16,12 +16,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
 BuildRequires:  python-devel, python-setuptools, python-netifaces
-Requires:       python, python-netifaces
 
 
-%description
-A python tool to report system facts
+%global _description\
+A python tool to report system facts\
+
+
+%description %_description
 
+%package -n python2-phacter
+Summary: %summary
+Requires:       python, python-netifaces
+%{?python_provide:%python_provide python2-phacter}
+
+%description -n python2-phacter %_description
 
 %prep
 %setup -q -n %{name}-%{version}
@@ -44,7 +52,7 @@ cp phacter.1 %{buildroot}%{_mandir}/man1/phacter.1
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-phacter
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING LICENSE
 %doc %{_mandir}/man1/phacter.1.gz
@@ -54,6 +62,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-13
+- Python 2 subpackage renamed to python2-phacter
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-phyghtmap/python-phyghtmap.spec python-phyghtmap/python-phyghtmap.spec.tmp
index 9f469e8e9e..e847ad7000 100644
--- python-phyghtmap/python-phyghtmap.spec
+++ python-phyghtmap/python-phyghtmap.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-phyghtmap
 Version:        1.80
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Generate OSM contour lines from NASA SRTM data
 Group:          Applications/Engineering
 License:        GPLv2+
@@ -14,15 +14,22 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Requires:       gdal-python
-Requires:       numpy
-Requires:       python-BeautifulSoup
-Requires:       python-matplotlib
+%global _description\
+%{modname} is a little program which lets you easily generate OSM contour\
+lines from NASA SRTM data.\
 
-%description
-%{modname} is a little program which lets you easily generate OSM contour
-lines from NASA SRTM data.
 
+%description %_description
+
+%package -n python2-phyghtmap
+Summary: %summary
+Requires:       python-matplotlib
+Requires:       python-BeautifulSoup
+Requires:       numpy
+Requires:       gdal-python
+%{?python_provide:%python_provide python2-phyghtmap}
+
+%description -n python2-phyghtmap %_description
 
 %prep
 %setup -q -n %{modname}-%{version}
@@ -37,7 +44,7 @@ lines from NASA SRTM data.
 install -Dpm 644 docs/%{modname}.1 %{buildroot}%{_mandir}/man1/%{modname}.1
 
 
-%files
+%files -n python2-phyghtmap
 %doc README LICENSE_GPL-2 COPYRIGHT Changelog
 %{_bindir}/%{modname}
 %{_mandir}/man1/%{modname}.1*
@@ -45,6 +52,10 @@ install -Dpm 644 docs/%{modname}.1 %{buildroot}%{_mandir}/man1/%{modname}.1
 %{python_sitelib}/%{modname}-%{version}-py*.egg-info/
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.80-4
+- Python 2 subpackage renamed to python2-phyghtmap
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.80-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pivy/python-pivy.spec python-pivy/python-pivy.spec.tmp
index c1dca512d1..6845ff24a2 100644
--- python-pivy/python-pivy.spec
+++ python-pivy/python-pivy.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-pivy
 Version:        0.5.0
-Release:        16.%{checkout}%{?dist}
+Release:        17.%{checkout}%{?dist}
 Summary:        Python binding for Coin
 
 License:        ISC
@@ -27,13 +27,21 @@ BuildRequires:  swig
 %filter_setup
 }
 
-%description
-Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library with
-a C++ Application Programming Interface. Coin uses scene-graph data structures
-to render real-time graphics suitable for mostly all kinds of scientific and
-engineering visualization applications.
+%global _description\
+Pivy is a Coin binding for Python. Coin is a high-level 3D graphics library with\
+a C++ Application Programming Interface. Coin uses scene-graph data structures\
+to render real-time graphics suitable for mostly all kinds of scientific and\
+engineering visualization applications.\
 
 
+%description %_description
+
+%package -n python2-pivy
+Summary: %summary
+%{?python_provide:%python_provide python2-pivy}
+
+%description -n python2-pivy %_description
+
 %prep
 %setup -q -n %{realname}-%{version}-%{checkout}
 # Examples in the docs folder should not be set executable.
@@ -55,13 +63,17 @@ mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
 chmod +x %{buildroot}%{python_sitearch}/pivy/sogui.py
 
  
-%files
+%files -n python2-pivy
 %doc AUTHORS examples NEWS README THANKS docs/* HACKING LICENSE
 %{python_sitearch}/pivy/
 %{python_sitearch}/*.egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-17.hg609
+- Python 2 subpackage renamed to python2-pivy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-16.hg609
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pluggy/python-pluggy.spec python-pluggy/python-pluggy.spec.tmp
index ed6134dc2b..56a646854d 100644
--- python-pluggy/python-pluggy.spec
+++ python-pluggy/python-pluggy.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:           python-pluggy
 Version:        0.3.1
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        The plugin manager stripped of pytest specific details
 
 License:        MIT
@@ -31,9 +31,17 @@ BuildRequires:  python3-pytest
 BuildRequires:  python3-setuptools
 %endif # with python3
 
-%description
+%global _description\
 The plugin manager stripped of pytest specific details.
 
+%description %_description
+
+%package -n python2-%{pypiname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypiname}}
+
+%description -n python2-%{pypiname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypiname}
 Summary:  The plugin manager stripped of pytest specific details.
@@ -97,7 +105,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{pypiname}
 %doc README.rst
 %license LICENSE
 %{python2_sitelib}/%{pypiname}.py
@@ -117,6 +125,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.1-9
+- Python 2 subpackage renamed to python2-pluggy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-plumbum/python-plumbum.spec python-plumbum/python-plumbum.spec.tmp
index 2fe4c82502..a667c578a0 100644
--- python-plumbum/python-plumbum.spec
+++ python-plumbum/python-plumbum.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.6.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Shell combinators library
 
 License:        MIT
@@ -12,21 +12,29 @@ Source0:        http://pypi.python.org/packages/source/p/plumbum/plumbum-%{versi
 
 BuildArch:      noarch
 BuildRequires:  python-devel
-Requires:       python-six
 
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 %endif # if with_python3
 
-%description
-Ever wished the wrist-handiness of shell scripts be put into a real programming
-language? Say hello to Plumbum Shell Combinators. Plumbum (Latin for lead,
-which was used to create pipes back in the day) is a small yet feature-rich
-library for shell script-like programs in Python. The motto of the library is
-"Never write shell scripts again", and thus it attempts to mimic the shell
-syntax ("shell combinators") where it makes sense, while keeping it all
+%global _description\
+Ever wished the wrist-handiness of shell scripts be put into a real programming\
+language? Say hello to Plumbum Shell Combinators. Plumbum (Latin for lead,\
+which was used to create pipes back in the day) is a small yet feature-rich\
+library for shell script-like programs in Python. The motto of the library is\
+"Never write shell scripts again", and thus it attempts to mimic the shell\
+syntax ("shell combinators") where it makes sense, while keeping it all\
 pythonic and cross-platform.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-six
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Shell combinators library
@@ -69,7 +77,7 @@ popd
 
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
-%files
+%files -n python2-%{pypi_name}
 %doc LICENSE README.rst
 %{python_sitelib}/%{pypi_name}
 %{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -83,6 +91,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.0-7
+- Python 2 subpackage renamed to python2-plumbum
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-poppler-qt4/python-poppler-qt4.spec python-poppler-qt4/python-poppler-qt4.spec.tmp
index d8a336baea..8d0853ffb3 100644
--- python-poppler-qt4/python-poppler-qt4.spec
+++ python-poppler-qt4/python-poppler-qt4.spec.tmp
@@ -2,14 +2,13 @@
 
 Name:           python-poppler-qt4
 Version:        0.18.1
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Python bindings for the Poppler PDF rendering library
 
 Group:          Applications/Publishing
 License:        LGPLv2+
 URL:            http://code.google.com/p/%{name}/
 Source0:        http://python-poppler-qt4.googlecode.com/files/%{name}-%{version}.tar.gz
-Requires: PyQt4
 %{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}
 BuildRequires:  python2-devel
 BuildRequires:  PyQt4-devel
@@ -22,10 +21,19 @@ BuildRequires:  sip-devel >= 4.9.1
 %filter_setup
 }
 
-%description
-Python bindings for the Poppler PDF rendering library. It is needed to
-run programs written in Python and using Poppler set.
+%global _description\
+Python bindings for the Poppler PDF rendering library. It is needed to\
+run programs written in Python and using Poppler set.\
+
 
+%description %_description
+
+%package -n python2-poppler-qt4
+Summary: %summary
+Requires: PyQt4
+%{?python_provide:%python_provide python2-poppler-qt4}
+
+%description -n python2-poppler-qt4 %_description
 
 %if 0%{?with_python3}
 %package -n python3-poppler-qt4
@@ -75,7 +83,7 @@ popd
 
 %{__python2} setup.py install --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-poppler-qt4
 %doc ChangeLog LICENSE TODO README
 %{python2_sitearch}/popplerqt4.so
 %{python2_sitearch}/python_poppler*
@@ -89,6 +97,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.18.1-12
+- Python 2 subpackage renamed to python2-poppler-qt4
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-posix_ipc/python-posix_ipc.spec python-posix_ipc/python-posix_ipc.spec.tmp
index 3319bab9c7..e2636f426e 100644
--- python-posix_ipc/python-posix_ipc.spec
+++ python-posix_ipc/python-posix_ipc.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-posix_ipc
 Version:        0.9.8
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        POSIX IPC primitives (semaphores and shared memory) for Python
 Group:          Development/Languages
 License:        BSD
@@ -16,11 +16,19 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python-devel python-setuptools
 
 
-%description
-posix_ipc is a Python module (written in C) that permits creation and
-manipulation of POSIX inter-process semaphores, shared memory and message
-queues on platforms supporting POSIX Realtime Extensions, POSIX 1003.1b-1993.
+%global _description\
+posix_ipc is a Python module (written in C) that permits creation and\
+manipulation of POSIX inter-process semaphores, shared memory and message\
+queues on platforms supporting POSIX Realtime Extensions, POSIX 1003.1b-1993.\
+
 
+%description %_description
+
+%package -n python2-posix_ipc
+Summary: %summary
+%{?python_provide:%python_provide python2-posix_ipc}
+
+%description -n python2-posix_ipc %_description
 
 %if 0%{?with_python3}
 %package -n python3-posix_ipc
@@ -70,7 +78,7 @@ popd
 %clean
 
 
-%files
+%files -n python2-posix_ipc
 %defattr(-,root,root,-)
 %doc README LICENSE demo demo2
 %{python_sitearch}/*
@@ -84,6 +92,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.8-12
+- Python 2 subpackage renamed to python2-posix_ipc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pottymouth/python-pottymouth.spec python-pottymouth/python-pottymouth.spec.tmp
index 457049703b..244507d723 100644
--- python-pottymouth/python-pottymouth.spec
+++ python-pottymouth/python-pottymouth.spec.tmp
@@ -1,32 +1,40 @@
 %global pkgname PottyMouth
 Name:		python-pottymouth		
 Version:	2.2.1
-Release:	11%{?dist}
+Release:	12%{?dist}
 Summary:	Transform unstructured, untrusted text to safe, valid XHTML
 Group:		Development/Languages
 License:	BSD	
 URL:		http://glyphobet.net/pottymouth/dist/
 Source0:	http://glyphobet.net/pottymouth/dist/%{pkgname}-%{version}.tar.gz
 BuildArch:	noarch
-Requires:	python2
 BuildRequires:	python2-devel
 BuildRequires:	python-setuptools	
 
 
 
-%description
-PottyMouth transforms completely unstructured and untrusted text to 
-valid, nice-looking, completely safe XHTML
-
-PottyMouth is designed to handle input text 
-from non-technical, potentially careless or malicious users 
-It produces HTML that is completely safe, 
-programmatically and visually, to include on any web page 
-And you don't need to make your users read any instructions 
-before they start typing
-They don't even need to know that 
+%global _description\
+PottyMouth transforms completely unstructured and untrusted text to\
+valid, nice-looking, completely safe XHTML\
+\
+PottyMouth is designed to handle input text\
+from non-technical, potentially careless or malicious users\
+It produces HTML that is completely safe,\
+programmatically and visually, to include on any web page\
+And you don't need to make your users read any instructions\
+before they start typing\
+They don't even need to know that\
 PottyMouth is being used
 
+%description %_description
+
+%package -n python2-pottymouth
+Summary: %summary
+Requires:	python2
+%{?python_provide:%python_provide python2-pottymouth}
+
+%description -n python2-pottymouth %_description
+
 %prep
 %setup -q -n %{pkgname}-%{version}
 #Remove bundled egg-info
@@ -42,7 +50,7 @@ python setup.py build
 %install
 python setup.py install --skip-build --root $RPM_BUILD_ROOT
 
-%files 
+%files -n python2-pottymouth
 
 %doc LICENSE.txt
 %{_defaultdocdir}/python-pottymouth/readme.html
@@ -62,6 +70,10 @@ python setup.py install --skip-build --root $RPM_BUILD_ROOT
 %attr(0755,root,root) %{python_sitelib}/pottymouth.py
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.1-12
+- Python 2 subpackage renamed to python2-pottymouth
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.1-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pp/python-pp.spec python-pp/python-pp.spec.tmp
index d17f5887d2..bf94ce3b7a 100644
--- python-pp/python-pp.spec
+++ python-pp/python-pp.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-pp
 Version:        1.6.0
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Parallel execution of python on smp
 
 Group:          Development/Libraries
@@ -12,15 +12,23 @@ Source0:        http://www.parallelpython.com/downloads/pp/pp-%{version}.tar.bz2
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
-Requires:       python >= 2.3, python-configobj
 BuildRequires:  python-devel, python-setuptools
 
 
-%description
-pp is a python module which provides mechanism for parallel execution of 
-python code on SMP (systems with multiple processors or cores) and clusters
-(computers connected via network).
+%global _description\
+pp is a python module which provides mechanism for parallel execution of\
+python code on SMP (systems with multiple processors or cores) and clusters\
+(computers connected via network).\
+
+
+%description %_description
 
+%package -n python2-pp
+Summary: %summary
+Requires:       python >= 2.3, python-configobj
+%{?python_provide:%python_provide python2-pp}
+
+%description -n python2-pp %_description
 
 %prep
 %setup -q -n pp-%{version}
@@ -41,7 +49,7 @@ mv $RPM_BUILD_ROOT/%{_bindir}/ppserver.py $RPM_BUILD_ROOT/%{_bindir}/ppserver
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-pp
 %defattr(-,root,root,-)
 %doc PKG-INFO README doc/example.config doc/ppdoc.html
 # For noarch packages: sitelib
@@ -50,6 +58,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.0-13
+- Python 2 subpackage renamed to python2-pp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-pretty/python-pretty.spec python-pretty/python-pretty.spec.tmp
index 7aaadfd375..ef23e51a71 100644
--- python-pretty/python-pretty.spec
+++ python-pretty/python-pretty.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-pretty
 Version:        0.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Extensible pprint successor
 
 Group:          Development/Libraries
@@ -17,12 +17,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel
 
-%description
-Python advanced pretty printer.  This pretty printer is intended to
-replace the old `pprint` python module which does not allow developers
-to provide their own pretty print callbacks.
+%global _description\
+Python advanced pretty printer.  This pretty printer is intended to\
+replace the old `pprint` python module which does not allow developers\
+to provide their own pretty print callbacks.\
 
 
+%description %_description
+
+%package -n python2-pretty
+Summary: %summary
+%{?python_provide:%python_provide python2-pretty}
+
+%description -n python2-pretty %_description
+
 %prep
 %setup -q -n pretty-%{version}
 
@@ -40,7 +48,7 @@ rm -rf %{buildroot}
 rm -rf %{buildroot}
 
 
-%files
+%files -n python2-pretty
 %defattr(-,root,root,-)
 %doc
 %{python_sitelib}/pretty.py*
@@ -48,6 +56,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-14
+- Python 2 subpackage renamed to python2-pretty
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-prettytable/python-prettytable.spec python-prettytable/python-prettytable.spec.tmp
index ad89623e0e..62dc9c63a1 100644
--- python-prettytable/python-prettytable.spec
+++ python-prettytable/python-prettytable.spec.tmp
@@ -9,7 +9,7 @@
 
 Name:		python-%{modname}
 Version:	0.7.2
-Release:	11%{?dist}
+Release:	12%{?dist}
 Summary:	Python library to display tabular data in tables
 
 Group:		Development/Languages
@@ -29,14 +29,22 @@ BuildRequires:  python3-setuptools
 %endif
 
 
-%description
-PrettyTable is a simple Python library designed to make it quick and easy to
-represent tabular data in visually appealing ASCII tables. It was inspired by
-the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for
-selection of which columns are to be printed, independent alignment of columns
-(left or right justified or centred) and printing of "sub-tables" by specifying
+%global _description\
+PrettyTable is a simple Python library designed to make it quick and easy to\
+represent tabular data in visually appealing ASCII tables. It was inspired by\
+the ASCII tables used in the PostgreSQL shell psql. PrettyTable allows for\
+selection of which columns are to be printed, independent alignment of columns\
+(left or right justified or centred) and printing of "sub-tables" by specifying\
 a row range.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{modname}
 Summary:	Python library to display tabular data in tables
@@ -92,7 +100,7 @@ popd
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-%{modname}
 %{!?_licensedir:%global license %%doc}
 %license COPYING
 %doc README CHANGELOG
@@ -111,6 +119,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.2-12
+- Python 2 subpackage renamed to python2-prettytable
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-proboscis/python-proboscis.spec python-proboscis/python-proboscis.spec.tmp
index 104464ec21..51d527b30a 100644
--- python-proboscis/python-proboscis.spec
+++ python-proboscis/python-proboscis.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-proboscis
 Version:        1.2.6.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        A test framework that extends Python's built-in unit test
 
 Group:          Development/Languages
@@ -12,23 +12,31 @@ Source0:        https://pypi.python.org/packages/source/p/%{tarball_name}/%{tarb
 Source1:        LICENSE_PROBOSCIS
 BuildArch:      noarch
 BuildRequires:  python2-devel python-setuptools
-Requires:       python-nose 
 
-%description
-A test framework that extends Python’s built-in unit test module and Nose
-with features from TestNG, such as:
+%global _description\
+A test framework that extends Python’s built-in unit test module and Nose\
+with features from TestNG, such as:\
+\
+- Uses decorators instead of naming conventions.\
+- Allows for TestNG style test methods, in which a class is initialized once\
+  as an alternative to using class fields (see the example below).\
+- Allows for explicit test dependencies and skipping of dependent tests\
+  on failures.\
+- Runs xUnit style classes if desired or needed for backwards compatibility.\
+- Uses Nose if available (but doesn't require it), and works with many of\
+  its plugins.\
+- Runs in IronPython and Jython (although if you're targeting the JVM you\
+  should consider using TestNG instead).\
 
-- Uses decorators instead of naming conventions.
-- Allows for TestNG style test methods, in which a class is initialized once
-  as an alternative to using class fields (see the example below).
-- Allows for explicit test dependencies and skipping of dependent tests
-  on failures.
-- Runs xUnit style classes if desired or needed for backwards compatibility. 
-- Uses Nose if available (but doesn't require it), and works with many of
-  its plugins.
-- Runs in IronPython and Jython (although if you're targeting the JVM you
-  should consider using TestNG instead).
 
+%description %_description
+
+%package -n python2-proboscis
+Summary: %summary
+Requires:       python-nose
+%{?python_provide:%python_provide python2-proboscis}
+
+%description -n python2-proboscis %_description
 
 %prep
 %setup -qn %{tarball_name}-%{version}
@@ -43,11 +51,15 @@ mv README.rst README
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 %{__install} -p -m644 %SOURCE1 LICENSE
 
-%files
+%files -n python2-proboscis
 %{python2_sitelib}/*
 %doc README LICENSE
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.6.0-9
+- Python 2 subpackage renamed to python2-proboscis
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.6.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-process-tests/python-process-tests.spec python-process-tests/python-process-tests.spec.tmp
index 0547b4bd99..4f5a96f21f 100644
--- python-process-tests/python-process-tests.spec
+++ python-process-tests/python-process-tests.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-%{srcname}
 Version:        1.0.0
-Release:        8%{?dist}
+Release:        9%{?dist}
 Summary:        Tools for testing processes
 
 License:        BSD
@@ -15,11 +15,18 @@ Source0:        https://pypi.python.org/packages/source/p/process-tests/process-
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
-Provides:       python2-%{srcname} = %{version}-%{release}
 
-%description
+%global _description\
 Tools for testing processes.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
 Summary:        Tools for testing processes
@@ -49,7 +56,7 @@ Tools for testing processes.
 %endif
 
 
-%files
+%files -n python2-%{srcname}
 %doc README.rst
 %license LICENSE
 %{python2_sitelib}/*
@@ -64,6 +71,10 @@ Tools for testing processes.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-9
+- Python 2 subpackage renamed to python2-process-tests
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-profilehooks/python-profilehooks.spec python-profilehooks/python-profilehooks.spec.tmp
index 4638e685e6..d1d074181e 100644
--- python-profilehooks/python-profilehooks.spec
+++ python-profilehooks/python-profilehooks.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        1.9.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Decorators for profiling/timing/tracing individual functions
 
 License:        MIT
@@ -20,9 +20,17 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
-%description
-Profilehooks is a collection of decorators for profiling functions.
+%global _description\
+Profilehooks is a collection of decorators for profiling functions.\
+
+
+%description %_description
 
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
 
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
@@ -77,7 +85,7 @@ make test PYTHON=%{__python3}
 %endif
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst CHANGES.rst
 %{python_sitelib}/%{pypi_name}.py*
 %{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -92,6 +100,10 @@ make test PYTHON=%{__python3}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.0-4
+- Python 2 subpackage renamed to python2-profilehooks
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
